# TODO: use gtk4-update-icon-cache
#
# Conditional build:
%bcond_with	granite		# elementaryOS integration

Summary:	Epiphany - WebKit-based GNOME web browser
Summary(es.UTF-8):	Epiphany - navigador Web de GNOME basado en WebKit
Summary(pl.UTF-8):	Epiphany - przeglądarka WWW dla GNOME
Name:		epiphany
Version:	48.3
Release:	1
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://download.gnome.org/sources/epiphany/48/%{name}-%{version}.tar.xz
# Source0-md5:	f14c0c6f34211a81d6b163d12648e11a
URL:		https://apps.gnome.org/Epiphany/
BuildRequires:	appstream-glib
BuildRequires:	cairo-devel >= 1.2
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gcc >= 6:4.7
BuildRequires:	gcr4-devel >= 3.9.0
BuildRequires:	gdk-pixbuf2-devel >= 2.36.5
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	glib2-devel >= 1:2.74.0
BuildRequires:	gmp-devel
%{?with_granite:BuildRequires:	granite7-devel >= 7.2.0}
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk4-devel >= 4.13.3
BuildRequires:	gtk-webkit6-devel >= 2.43.4
BuildRequires:	iso-codes >= 0.53
BuildRequires:	json-glib-devel >= 1.6
BuildRequires:	libadwaita-devel >= 1.6
BuildRequires:	libarchive-devel
BuildRequires:	libnotify-devel >= 0.5.1
BuildRequires:	libportal-gtk4-devel >= 0.6
BuildRequires:	libsecret-devel >= 0.19.0
BuildRequires:	libsoup3-devel >= 2.99.4
BuildRequires:	libxml2-devel >= 1:2.6.28
BuildRequires:	meson >= 0.59.0
BuildRequires:	nettle-devel >= 3.4
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.22
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.74.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	bubblewrap
Requires:	ca-certificates
Requires:	dbus >= 1.0.2
Requires:	gcr4 >= 3.9.0
Requires:	gdk-pixbuf2 >= 2.36.5
Requires:	glib2 >= 1:2.74.0
Requires:	gsettings-desktop-schemas
Requires:	gtk4 >= 4.13.3
Requires:	gtk-webkit6 >= 2.43.4
Requires:	hicolor-icon-theme
Requires:	iso-codes >= 0.53
Requires:	json-glib >= 1.6
Requires:	libadwaita >= 1.6
Requires:	libnotify >= 0.5.1
Requires:	libportal-gtk4 >= 0.6
Requires:	libsecret >= 0.19.0
Requires:	libsoup3 >= 2.99.4
Requires:	libxml2 >= 1:2.6.28
Requires:	nettle >= 3.4
Requires:	sqlite3 >= 3.22
Requires:	xdg-dbus-proxy
Provides:	wwwbrowser
Obsoletes:	epiphany-apidocs < 3.8.0-2
Obsoletes:	epiphany-devel < 3.8.0-2
Obsoletes:	epiphany-extensions < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Web (codename: Epiphany) is a GNOME web browser based on the
WebKit rendering engine.

%description -l es.UTF-8
Navigador Web de GNOME basado en WebKit.

%description -l pl.UTF-8
GNOME Web (nazwa kodowa: Epiphany) jest przeglądarką WWW dla GNOME
opartą na silniku renderującym WebKit.

%prep
%setup -q

%build
%meson \
	%{?with_granite:-Dgranite=enabled}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md TODO
%attr(755,root,root) %{_bindir}/epiphany
%dir %{_libdir}/epiphany
%attr(755,root,root) %{_libdir}/epiphany/libephyautofill.so
%attr(755,root,root) %{_libdir}/epiphany/libephymain.so
%attr(755,root,root) %{_libdir}/epiphany/libephymisc.so
%attr(755,root,root) %{_libdir}/epiphany/libephysync.so
%dir %{_libdir}/epiphany/web-process-extensions
%attr(755,root,root) %{_libdir}/epiphany/web-process-extensions/libephywebprocessextension.so
%attr(755,root,root) %{_libexecdir}/epiphany-search-provider
%attr(755,root,root) %{_libexecdir}/epiphany-webapp-provider
%if "%{_libexecdir}" != "%{_libdir}"
%dir %{_libexecdir}/epiphany
%endif
%attr(755,root,root) %{_libexecdir}/epiphany/ephy-profile-migrator
%{_datadir}/dbus-1/services/org.gnome.Epiphany.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Epiphany.WebAppProvider.service
%{_datadir}/epiphany
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.epiphany.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_desktopdir}/org.gnome.Epiphany.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Epiphany.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Epiphany-symbolic.svg
%{_mandir}/man1/epiphany.1*
%changelog
* Fri May 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/epiphany.git;a=log;h=master

* Tue Apr 29 2025 Jakub Bogusz <qboosh@pld-linux.org> 2b931d7
- updated to 48.3

* Mon Apr 28 2025 Jakub Bogusz <qboosh@pld-linux.org> af8c06e
- updated to 47.7

* Wed Apr 23 2025 Jakub Bogusz <qboosh@pld-linux.org> bda24ae
- updated to 47.6

* Fri Mar 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 216b433
- updated to 47.4

* Mon Feb 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 976ae11
- updated to 47.3.1

* Wed Oct 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 7e6099c
- updated to 47.2

* Wed Oct 16 2024 Jakub Bogusz <qboosh@pld-linux.org> f364b2a
- updated to 47.1

* Fri Sep 27 2024 Jakub Bogusz <qboosh@pld-linux.org> f95749f
- updated URL

* Tue Sep 24 2024 Jakub Bogusz <qboosh@pld-linux.org> f8cb417
- updated to 47.0

* Mon Aug 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 7ccb4e1
- updated to 46.3

* Sat Jun 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 68e4077
- updated to 46.2

* Fri May 31 2024 Jakub Bogusz <qboosh@pld-linux.org> 5693247
- updated to 46.1

* Mon Apr 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 5dbecce
- updated to 46.0

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> f0faf73
- updated to 45.3

* Sun Jan 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 71efbd0
- updated to 45.2

* Fri Nov 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 8d4eca2
- updated to 45.1

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 6ce2856
- updated to 44.7

* Sat Jul 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 8945874
- updated to 44.6

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 8c24297
- updated to 44.5

* Fri May 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 664afcf
- drop ie locale, release 2

